TERMINAL(1)

NAME
Terminal - Emulador de terminal per a X

SINOPSI

Terminal [OPCIÓ...]

DESCRIPCIó

Terminal és el que es coneix com un emulador de terminal X, sovint anomenat tambè com a terminal o intèrpret d'ordres (shell). Aquest us ofereix un equivalent a la pantalla de text tradicional per el vostre escriptori, però en el que podreu compartir la pantalla amb altres aplicacions gràfiques. Els usuaris de Windows pot ser que ja estigueu familiaritzats amb la utilitat de la finestra de MS-DOS, que te funcions anàlogues a les de la línia d'ordres de DOS a Windows, encara que cal remarcar que la CLI UNIX és molt més potent i fàcil d'emprar que la de DOS.

Terminal emula l'aplicació xterm desenvolupada per X Consortium. A la vegada, l'aplicació xterm emula el terminal DEC VT102 i també és compatible amb les seqüències d'escapada de DEC VT220. Una seqüència d'escapada és una sèrie de caràcters que s'inicien amb el caràcter Esc. Terminal accepta totes les seqüències d'escapada dels terminals VT102 i VT220 que s'empren per funcions com per posicionar el cursor o netejar la pantalla.

OPCIONS

  Resum d'opció

Aquí hi ha un resum de totes les opcions agrupades per tipus. Les explicacions són a les properes seccions.

Opcions generals
    -h, --help; -V, --version; --disable-server; --default-display=display; --default-working-directory=directori

Separadors de finestra o pestanya
    --tab; --window

Opcions de pestanya
    -x, --execute; -e, --command=comanda; --working-directory=directori; -T, --title=títol; -H, --hold

Opcions de finestra
    --display=display; --geometry=geometria; --role=rol; --startup-id=cadena de caràcters; -I, --icon=icona; --fullscreen; --maximize; --show-menubar, --hide-menubar; --show-borders, --hide-borders; --show-toolbars, --hide-toolbars

  Opcions generals

-h, --help
    Llista les opcions de la línia de comandes suportades per Terminal i surt.

-V, --version
    Mostra informació sobre la versió i surt

--disable-server
    No es registra amb el bus de sessions de D-BUS

--default-display=display
    Pantalla X per usar per defecte.

--default-working-directory=directori
    Estableix directori com el directori de treball per al terminal

  Separadors de finestra o pestanya

--tab
    Obre una nova pestanya en la finestra especificada; es pot indicar més d'una de les opcions que hi ha tot seguit.

--window
    Obre una finestra que conté una pestanya; es pot emprar més d'una d'aquestes opcions.

  Opcions de pestanya

-x, --execute
    Executa el recordatori de la línia de comandes dins el terminal

-e, --command=comanda
    Executa comanda dins el terminal

--working-directory=directori
    Estableix directori com el directori de treball per al terminal

-T, --title=títol
    Estableix títol com el títol inicial de la finestra del terminal

-H, --hold
    Causa que el terminal es mantingui encara que la comanda executada hagi acabat

  Opcions de finestra

--display=display
    Pantalla X per a usar per a l'última finestra especificada.

--geometry=geometria
    Estableix la geometria de la nova finestra a geometria. Llegiu X(7) per a obtenir més informació de com especificar geometries de finestra.

--role=rol
    Estableix el rol de la darrera finestra a rol. S'aplica només a una finestra i es pot especificar un cop per cada finestra que es creï des de la línia de comandes. La seva utilitat és generalment aplicada a la gestió de sessions dins Terminal.

--startup-id=cadena de caràcters
    Especifica la identificació de notificacions d'inici per a l'última finestra especificada. S'empra internament per a re-enviar la notificació d'inici quan s'usa el servei D-BUS.

-I, --icon=icona
    Estableix la icona del terminal com a nom d'icona o nom de fitxer.

--fullscreen
    L'última finestra especificada es posa en mode de pantalla completa; s'aplica un cop per finestra. Es pot especificar per cadascuna de les finestres des de la línia de comandes.

--maximize
    L'última finestra especificada es posa en mode maximitzat; s'aplica un cop per finestra. Es pot especificar per cadascuna de les finestres des de la línia de comandes.

--show-menubar
    Mostra la barra del menú per a la finestra especificada en darrer terme. Es pot especificar un cop per cadascuna de les finestres creades des de la línia de comandes.

--hide-menubar
    Oculta la barra del menú per a la finestra especificada en darrer terme. Es pot especificar un cop per cadascuna de les finestres creades des de la línia de comandes.

--show-borders
    Mostra les decoracions de la finestra per a la finestra especificada en darrer terme. S'aplica un cop per finestra. Es pot especificar un cop per cadascuna de les finestres que es creen des de la línia de comandes.

--hide-borders
    Oculta les decoracions de la finestra per a la finestra especificada en darrer terme. S'aplica un cop per finestra. Es pot especificar un cop per cadascuna de les finestres que es creen des de la línia de comandes.

--show-toolbars
    Mostra les barres d'eina per a la finestra especificada. S'aplica a una única finestra. Es pot especificar a cadascuna de les finestres que es creen des de la línia de comandes.

--hide-toolbars
    Oculta les barres d'eina per a la finestra especificada. S'aplica a una única finestra. Es pot especificar a cadascuna de les finestres que es creen des de la línia de comandes.

EXEMPLES

Terminal --geometry 80x40 --command mutt --tab --command mc
    Obre una nova finestra de terminal amb mida de 80 columnes i 40 files amb dos pestanyes, on la primera executarà mutt i la segona executarà mc.

ENTORN

Terminal usa Basedir Specification definit a Freedesktop.org[1] per a localitzar les seves dades i els seus fitxers de configuració. Això significa que les localitzacions dels fitxers s'especificaran de forma relativa als directoris descrits en aquesta especificació.

${XDG_CONFIG_HOME}
    El directori base per on buscar fitxers de configuració. Per defecte és ~/.config/.

${XDG_CONFIG_DIRS}
    Una llista de directoris base separades pel caràcter dos punts que contenen les dades de configuració. Per defecte, l'aplicació mirarà a ${sysconfdir}/xdg/. El valor ${sysconfdir} depèn de com s'ha escrit el programa i sovint serà /etc/.

${XDG_DATA_HOME}
    L'arrel per a tots els fitxers de dades específics de l'usuari. Per defecte és ~/.local/share/.

${XDG_DATA_DIRS}
    Un conjunt ordenat de directoris base a partir dels quals es buscaran els fitxers de dades a més del directori base ${XDG_DATA_HOME}. Els directoris s'han de separar mitjançant el caràcter dos punts.

FITXERS

${XDG_CONFIG_DIRS}/Terminal/terminalrc
    Aquesta és la localització del fitxer de configuració que inclou les preferències que controlen l'aparença de Terminal.

${XDG_DATA_DIRS}/Terminal/Terminal-toolbars.ui
    Aquest fitxer inclou la definició de la interfície d'usuari de les barres d'eines. Si personalitzeu les barres d'eina usant l'editor gràfic, Terminal emmagatzemarà les noves distribucions de la barra d'eines en el fitxer ${XDG_DATA_HOME}/Terminal/Terminal-toolbars.ui.

VEIEU A MéS

bash(1), X(7)

AUTHORS

Nick Schermer <nick@xfce.org>
    Developer

Benedikt Meurer <benny@xfce.org>
Desenvolupador de programari, os-cillation, Desenvolupament de sistemes,
    Developer

NOTES

1.  Freedesktop.org
    http://freedesktop.org/